Skip to main content
`Ctrl`+`K`

# STShellBackTransformFn

A prototype of a function for the user-defined `STBackTransform()` operation in an `STSHELL`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode STShellBackTransformFn(ST st,PetscInt n,PetscScalar *eigr,PetscScalar *eigi);

## Calling Sequence

- st - the spectral transformation context

- n - number of eigenvalues to be backtransformed

- eigr - pointer to the real parts of the eigenvalues to transform back

- eigi - pointer to the imaginary parts

## See Also

ST: Spectral Transformation, `STShellSetBackTransform()`, `STBackTransform()`

## Level

advanced

## Location

include/slepcst.h

Index of all ST routines Table of Contents for all manual pages Index of all manual pages